/* Copyright (C) 2007 con terra GmbH (http://www.conterra.de)
 * All rights reserved
 *
 * $Id: DatasourceException.java,v 1.2 2008/01/30 12:38:34 blume Exp $
 *
 * created by:      drewnak
 * created at :     21.11.2007
 * created at :     14:56:32
 *
 * modified by:     $Author: blume $
 * modified at:     $Date: 2008/01/30 12:38:34 $
 */
package de.intevation.gnv.geobackend.sde.datasources.exception;

/**
 * A Class for encapsulating implementation specific datasource exceptions.
 * This exception class can be used for all exceptions occuring in connection to "datasources actions".
 */
public class DatasourceException extends Exception {

    public DatasourceException() {
        super();
    }

    public DatasourceException(String pMessage) {
        super(pMessage);
    }

    public DatasourceException(String pMessage, Throwable pCause) {
        super(pMessage, pCause);
    }

    public DatasourceException(Throwable pCause) {
        super(pCause);
    }

}